<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.gyt.shr.mapper.PersonMapper">

    <resultMap id="BaseResultMap" type="com.gyt.shr.entity.Person">
        <result property="fid" column="fid" jdbcType="VARCHAR"/>
        <result property="pname" column="fname_l2" jdbcType="VARCHAR"/>
        <result property="pnumber" column="fnumber" jdbcType="VARCHAR"/>
        <result property="ncell" column="fncell" jdbcType="VARCHAR"/>
        <result property="idCardNo" column="fidCardNo" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        fid as fid, fname_l2 as pname, fnumber as pnumber, fncell as ncell, fidCardNo as idCardNo 
    </sql>

<!--    <select id="selectOne" resultType="com.gyt.shr.entity.Person">-->
<!--        SELECT-->
<!--        <include refid="Base_Column_List"/>-->
<!--        FROM T_BD_Person-->
<!--        WHERE (fncell = #{ew.paramNameValuePairs.MPGENVAL1})-->
<!--    </select>-->

</mapper>
